# TODO
# - subpackages for themes (see metacity.spec)
# - find proper packages for %files
#
# Conditional build:
%bcond_with	gtk3	# use GTK 3.x instead of 2.x
#
Summary:	MATE Desktop window manager
Summary(pl.UTF-8):	Zarządca okien środowiska MATE Desktop
Name:		marco
Version:	1.8.2
Release:	1
License:	LGPL v2+ and GPL v2+
Group:		X11/Window Managers
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
# Source0-md5:	265dc15c523a4688de0e10eb976df751
# https://bugzilla.gnome.org/show_bug.cgi?id=622517
Patch0:		Allow-breaking-out-from-maximization-during-mouse.patch
# https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/583847
Patch1:		initialise_all_workspace_names.patch
URL:		http://wiki.mate-desktop.org/mate-window-manager
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	desktop-file-utils
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-devel >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.26.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.20.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.35.0
%{!?with_gtk3:BuildRequires:	libcanberra-gtk-devel}
%{?with_gtk3:BuildRequires:	libcanberra-gtk3-devel}
BuildRequires:	libgtop-devel
BuildRequires:	mate-common
BuildRequires:	pango-devel >= 1:1.2.0
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	startup-notification-devel >= 0.7
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel >= 0.2
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2 >= 1:2.26.0
Requires:	gsettings-desktop-schemas
Requires:	mate-icon-theme
Requires:	mate-settings-daemon
Suggests:	mate-control-center
Suggests:	mate-dialogs
# can use any gtk+2 themes nicely, Adwaita specially
Suggests:	%{name}-themes
Obsoletes:	mate-window-manager
Obsoletes:	mate-window-manager-libs < 1.4.1-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop window manager. MATE Marco is a fork of GNOME Metacity.

%description -l pl.UTF-8
Zarządca okien środowiska MATE Desktop. MATE Marco to odgałęzienie
pakietu GNOME Metacity.

%package libs
Summary:	Marco (MATE window manager) library
Summary(pl.UTF-8):	Biblioteka Macro (zarządcy okien MATE)
Group:		X11/Libraries
Requires:	glib2 >= 1:2.26.0
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.20.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	pango >= 1:1.2.0
Requires:	startup-notification >= 0.7
Requires:	xorg-lib-libXcomposite >= 0.2
Obsoletes:	mate-window-manager-libs >= 1.4.1-2

%description libs
This package contains the shared library for Marco, the MATE window
manager.

%description libs -l pl.UTF-8
Pakiet zawierający bibliotekę współdzieloną Marco (zarządcy okien
MATE).

%package devel
Summary:	Development files for Marco (Mate window manager)
Summary(pl.UTF-8):	Pliki programistyczne Marco (zarządcy okien MATE)
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0
%{!?with_gtk3:Requires:	gtk+2-devel >= 2:2.20.0}
%{?with_gtk3:Requires:	gtk+3-devel >= 3.0.0}
Obsoletes:	mate-window-manager-devel

%description devel
Development files for Marco (Mate window manager).

%description devel -l pl.UTF-8
Pliki programistyczne Marco (zarządcy okien MATE).

%package themes
Summary:	Themes for MATE Window Manager
Summary(pl.UTF-8):	Motywy dla zarządcy okien MATE
Group:		Themes/GTK+
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mate-window-manager-themes

%description themes
Themes for MATE Window Manager.

%description themes -l pl.UTF-8
Motywy dla zarządcy okien MATE

%prep
%setup -q
%patch0 -p1
#patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	MATEDIALOG=%{_bindir}/matedialog \
	--disable-scrollkeeper \
	--disable-silent-rules \
	--disable-static \
	--with-gnu-ld \
	%{?with_gtk3:--with-gtk=3.0} \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmarco-private.la

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/marco.convert

desktop-file-install \
	--remove-category="MATE" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/marco.desktop

%find_lang %{name} --all-name --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/marco
%attr(755,root,root) %{_bindir}/marco-message
%{_datadir}/marco
%{_datadir}/mate-control-center/keybindings/50-marco*.xml
%dir %{_datadir}/mate/wm-properties
%{_datadir}/mate/wm-properties/marco-wm.desktop
%{_datadir}/glib-2.0/schemas/org.mate.marco.gschema.xml
%{_desktopdir}/marco.desktop
%{_mandir}/man1/marco.1*
%{_mandir}/man1/marco-message.1*

# TODO: find better packages
%dir %{_datadir}/mate-control-center
%dir %{_datadir}/mate-control-center/keybindings

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmarco-private.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmarco-private.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/marco-theme-viewer
%attr(755,root,root) %{_bindir}/marco-window-demo
%attr(755,root,root) %{_libdir}/libmarco-private.so
%{_includedir}/marco-1
%{_pkgconfigdir}/libmarco-private.pc
%{_mandir}/man1/marco-theme-viewer.1*
%{_mandir}/man1/marco-window-demo.1*

%files themes
%defattr(644,root,root,755)
%{_datadir}/themes/ClearlooksRe
%{_datadir}/themes/Dopple-Left
%{_datadir}/themes/Dopple
%{_datadir}/themes/DustBlue
%{_datadir}/themes/Spidey-Left
%{_datadir}/themes/Spidey
%{_datadir}/themes/Splint-Left
%{_datadir}/themes/Splint
%{_datadir}/themes/WinMe
%{_datadir}/themes/eOS
%changelog
* Mon Sep 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/marco.git;a=log;h=master

* Mon Sep 29 2014 Jan Palus <atler@pld-linux.org> 9abb3d7
- up to 1.8.2

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> b65de13
- libgtop rebuild
- release 2 (by relup.sh)

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 775ee31
- updated to 1.8.1

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 497cc49
- cmn locale is now supported

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 3a49286
- up to 1.8.0
- rename  mate-window-manager -> marco
- run autotools

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 6bbf175
- rename files  mate-window-manager -> marco

* Thu Dec 26 2013 Elan Ruusamäe <glen@delfi.ee> 28587c3
- release 2 (by relup.sh)

* Wed Dec 25 2013 Jakub Bogusz <qboosh@pld-linux.org> ccc00dd
- pl, completed dependencies

* Tue Jun 11 2013 Elan Ruusamäe <glen@delfi.ee> e0444e6
- up to 1.6.2

* Wed Apr 10 2013 Elan Ruusamäe <glen@delfi.ee> 4fa678d
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 680a06a
- use 1.6.0 tarball

* Mon Mar 25 2013 Elan Ruusamäe <glen@delfi.ee> 1589428
- up to 1.5.5

* Fri Feb 22 2013 Elan Ruusamäe <glen@delfi.ee> 5b19303
- up to 1.5.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> b2fb15b
- cleanup deps by cleanbuild

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> ed06769
- rel 1

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 063e08a
- requires mate-settings-daemon, or wm won't startup at all

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 779bb83
- require icon theme

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 5e1a3c4
- do not depend on mate-conf

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 39cadd2
- split -themes

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 3f0ec50
- up to 1.5.3

